{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}

{% block content %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,300i,400,400i,600,600i,700,700i" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <style>
        p.p-order-hold {
            font-weight: bold;
            font-size: 20px;
            text-align: center;
            color: #55c0ef;
        }
        .col-hold-order {
            float: left;
            margin: 1% 5%;
            position: relative;
        }
        .min-error {
            margin: 0 auto 1%;
            font-size: 16px;
            padding: 6px 12px;
            background: yellow;
            border: 1px solid #d4d41d;
            color: #000;
            border-radius: 4px;
            float: none;
            max-width: 90%;
        }

        *{
          margin: 0;
          padding: 0;
          box-sizing: border-box;
          font-family: 'Source Sans Pro', sans-serif;
        }
        .col-order-detail{
            padding-top: 0 !important;
          padding: 25px 0;
          overflow: auto;
        }
        .col-order-detail h1{
          font-size: 35px;
          text-transform: uppercase;
          font-weight: 600;
          line-height: 1.2;
          margin: 0 0 0px 0;
          letter-spacing: 1px;
          float: left;
        }
        .col-pdf{
            float: right;
                padding: 10px 0;
        }
        .col-pdf button{
          line-height: 1.45;
          background-color: #ffc107a1;
          border-color: #ff9800e0;

        }
        .col-pdf button:hover{
          background-color: #f3ce5d;
        border-color: #c97803;
        }
          .col-pdf button a:hover{
            text-decoration: none;
          }
        .col-main-detail{
          padding: 15px;
          /* background: #fff;
          box-shadow: 1px 1px 5px #c3a444b5; */
          background: #fff;
        box-shadow: 0px 0px 5px #929090b5;
        }
        .col-order-user{
          overflow: auto;
          margin-bottom: 20px;
        }
        .col-user-image{
          float: left;
        }
        .col-user-image img{
          width: 100px;
          height: 100px;
          border: 4px solid #c97904;
          border-radius: 4px;
        }
        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .brand-table thead tr, tbody tr:nth-child(2n) {
          background: #dd4b394f;
        }
        .table-bordered {
        border: 1px solid #c97803;
        margin-bottom: 0px;
        }
        .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
            border: 1px solid #c97803;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .col-main-detail h3{
          margin: 0 0 5px 0;
        line-height: 1.45;
        font-size: 21px;
        font-weight: 600;
        text-transform: capitalize;
        text-decoration: underline;
        letter-spacing: 1px;
        }
        .col-order-status{
          background: #f4f4f4;
            min-height: 100;
            height: 185px;
        }
        .allowance-table.table-c-detail thead tr, .allowance-table.table-c-detail tbody tr:nth-child(2n) {
            background: #03a9f470;
        }
        .allowance-table.table-c-detail.col-color thead tr, .allowance-table.table-c-detail.col-color tbody tr:nth-child(2n){
          background: #dff0d8;
        }

        .btn-dispatch {
            width:15%;
            font-size:17px;
            margin-top: 6%;
            height:60px;
        }
        #btn-back {
            margin: 5px 10px 0 0;
            float:left;
        }
    </style>

    <form id="myForm" method="POST">{% csrf_token %}
        <div class="content-wrapper">
            <div class="container-fluid">
                <div class="col-order-detail" style="padding-bottom: 10px;">
                    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                    <h1>order #{{total.order_id}}{% if total.dms_number %}, DMS #{{total.dms_number}}{% endif %}</h1>
                    <div class="col-pdf">
                        <!-- <button type="button" class="btn btn-default">
                            <i class="fa fa-file-pdf-o" aria-hidden="true" style="color: red"></i>
                            <b style="color: #424242"> PDF</b>
                        </button> -->
                        <button type="button" class="btn btn-default">
                            <a href="/">
                                <span class="glyphicon glyphicon-home"></span>
                                <b style="color: #424242"> Home</b>
                            </a>
                        </button>
                    </div>
                </div>
                <div class="col-main-detail">
                    <!-- <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="col-order-user">
                                <div class="col-user-image">
                                    <img src="{% static 'img/default_user.jpg' %}">
                                </div>
                                <address class="col-cust-add">
                                    <h2>
                                        <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}
                                        </a>
                                    </h2>
                                    {{dealer.company_address|default:"--"}}</br>
                                    Email: {{dealer.email|default:"--"}}</br>
                                    Mobile: {{dealer.primary_contact|default:"--"}}
                                </address>
                                <address class="col-cust-add col-business-add">
                                    <span>Credit days: {{dbm.credit_days|default:"0"}}</span>
                                    <span style=" background-color: #00c0ef;border-color: #00acd6;">
                                        Credit Limit: ₹ {{dbm.max_outstanding_threshold|floatformat:2|intcomma}}
                                    </span>
                                    <span style="background-color: #dd4b39;border-color: #d73925;">
                                        Min order: ₹ {{dbm.min_order_amount|floatformat:2|intcomma}}
                                    </span></br>
                                    {% if outstanding_flag == True %}
                                        <span style="background-color: #00a65a;border-color: #008d4c;">
                                            Outstanding: ₹ {{outstanding|floatformat:2|intcomma}}
                                        </span>
                                    {% endif %}
                                    <span>GST: {{dealer.gst_no|default:"--"}}</span>
                                    <span>PAN: {{dealer.pan_no|default:"--"}}</span>
                                </address>
                            </div>
                        </div>
                    </div> -->

                    <div class="row">
                        <div class="col-xs-12 col-sm-6 col-md-6">
                            {% if request.user|has_group:"WHSUSER" %}
                                {% if status_image == 'InWarehouse' %}
                                    <div class="form-group col-md-12 col-sm-12 text-center">
                                        <input class="btn btn-primary btn-dispatch" type="button"
                                               data-toggle="modal" data-target="#myModal" value="Dispatch">
                                    </div>
                                {% endif %}
                            {% elif request.user|has_group:"WHS" %}
                                <!--<h3>Assigned Warehouse - by ({{whs_admin_name|default:"---"}}, {{whs_admin_number|default:"---"}})</h3>-->
                                {% if status_image == 'OrderPlaced' %}
                                    <h3>Assign Warehouse</h3>
                                {% else %}
                                    <h3>Assigned Warehouse</h3>
                                {% endif %}
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <thead>
                                            <tr>
                                                <th>Warehouse</th>
                                                <th>Warehouse User</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody style="height: 100px;">
                                            <tr>
                                                <td id="tdWarehouse">
                                                    {% if disable %}
                                                        {{warehouse_code}}
                                                    {% else %}
                                                        <select id="ddlWarehouse" name="warehouse_name" {% if edit %}disabled{% endif %}>
                                                            <option value="">---Select Warehouse---</option>
                                                            {% for warehouse in warehouses %}
                                                                <option {% if warehouse.pk == warehouse_code %}selected{% endif %} value="{{warehouse.pk}}">{{warehouse.warehouse_code}}</option>
                                                            {% endfor %}
                                                        </select>
                                                    {% endif %}
                                                </td>
                                                <td id="tdManager">
                                                    {% if disable %}
                                                        {{manager}}
                                                    {% else %}
                                                        <select id="ddlManager" name="warehouse_manager" {% if edit %}disabled{% endif %}>
                                                            {% if edit %}
                                                                {% for manager in users %}
                                                                    <option {% if manager.id == user %}selected{% endif %} value="{{manager.id}}">{{manager.name}}</option>
                                                                {% endfor %}
                                                            {% else %}
                                                                <option value="">-----</option>
                                                            {% endif %}
                                                        </select>
                                                    {% endif %}
                                                </td>
                                                <td id="tdAction">
                                                    {% if disable %}
                                                        Assigned
                                                    {% else %}
                                                        {% if edit %}
                                                            Assigned &nbsp;
                                                            <span class="glyphicon glyphicon-edit" style="cursor: pointer"></span>
                                                        {% else %}
                                                            <button id="btnSubmit" class="btn btn-default" disabled="true">
                                                                Save
                                                            </button>
                                                        {% endif %}
                                                    {% endif %}
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            {% endif %}
                        </div>

                        <div class="col-xs-12 col-sm-2 col-md-2">
                            {% if on_hold_flag == True %}
                                <address class="col-hold-order">
                                    <p class="p-order-hold">
                                        Order Hold on <br>{{on_hold_date|date:'l j F Y'|default:"---"}}
                                    </p>
                                </address>
                            {% endif %}
                        </div>

                        <div class="col-xs-12 col-sm-4 col-md-4">
                            <div class="col-order-status" style="text-align: center;">
                                <img src="{% static 'img/' %}{{status_image}}.png" class="status-image">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail col-color">
                                        <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>{{status_detail.head_name}}</th>
                                            <th>{{status_detail.head_number}}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>{{status_detail.date|date|default:"---"}}</td>
                                                <td>{{status_detail.name|default:"---"}}</td>
                                                <td>{{status_detail.number|default:"---"}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <!--{% if request.user|has_group:"SR" %}-->
                                <!--<h3> Applied Schemes</h3>-->
                            <!--{% else %}-->
                                <!--<h3> Applied Schemes-->
                            <!--{% endif %}-->
                            <h3> Order Details</h3>
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped allowance-table table-c-detail">
                                    <thead>
                                        <tr>
                                            <th>Warehouse Code</th>
                                            <th>Warehouse Name</th>
                                            <th>SKU Code</th>
                                            <th>QTY.</th>
                                            <th style="text-align: right;">Total Value</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% for item in details %}
                                            <tr>
                                                <td>{{item.warehouse_code|default:"---"}}</td>
                                                <td>{{item.warehouse_name|default:"---"}}</td>
                                                <td>{{item.skucode}}</td>
                                                <td>{{item.quantity}}</td>
                                                <!--<td style="text-align:right;">₹ {{item.final_total|floatformat:2|intcomma}}</td>-->
                                                <td style="text-align:right;">₹ {{item.x_invoice_value|floatformat:2|intcomma}}</td>
                                            </tr>
                                        {% endfor %}
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td colspan="5" style="text-align: right">
                                               <!--Net Bill Value: ₹ {{total.allFinalTotal|floatformat:2|intcomma}}-->
                                               Invoice Value: ₹ {{total.x_all_invoice_total|floatformat:2|intcomma}}
                                            </td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>

                    {% if history %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <h3>Order Log (DMS Ordernumber: {{total.dms_number}})</h3>
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <tbody>
                                            {% for item in orderHistory %}
                                                <tr>
                                                    <td>
                                                        {% if item.order_status == 'Processing' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            processed order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'SchemeApplied' %}
                                                            SR <b>{{total.sr_name|default:"---"}}</b>
                                                            proceeded order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) and applied all Sell Through
                                                            and Tieup and send it to Dealer
                                                            <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a> for confirmation on {{item.created_on}}

                                                        {% elif item.order_status == 'OrderPlaced' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            placed order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'InWarehouse' %}
                                                            Warehouse Admin reviewed order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) on {{item.created_on}}
                                                            and send it to &lt;{{warehouse}}&gt;
                                                            &lt;{{manager}}&gt;

                                                        {% elif item.order_status == 'Dispatched' %}
                                                            Warehouse User <b>{{status_detail.name|default:"---"}}</b>
                                                            dispatched order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>)
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Deleted' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) canceled by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Reject' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) rejected by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'OnHold' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) on hold <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Delivered' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) delivered by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'PartialDispatched' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{total.order_id}}">
                                                            {{total.order_id}}</a>) partial dispatched by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}
                                                        {% endif %}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>

        <div class="modal fade" id="myModal" role="dialog">
            <div class="modal-dialog ">
                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Dispatch</h4>
                    </div>
                    <div class="modal-body">
                        <div class="table-responsive">
                            <table class="table table-striped order-table table-bordered">
                                <tbody>
                                    <tr>
                                        <td>DMS Order No :</td>
                                        <td>
                                            <input type="text" name="dmsorderno" id="dmsorderno">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td id="fdata" colspan="2">Remarks : </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <textarea rows="3" cols="59" name="remarks" id="remarks"></textarea>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" align="center">
                                            <input type="submit" name="btnsave" onclick="return btnmdl()" value="Save" class="input_import" id="btnsave">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
            <script>
                function btnmdl(){
                    var flag = true;
                    if($('#dmsorderno').val() == ""){
                        $('#dmsorderno').parent().parent().addClass('has-error')
                        $('#error_1_dmsorderno').remove();
                        $('#dmsorderno').parent().append('<p id="error_1_dmsorderno" class="help-block"><strong>This field is required.</strong></p>');
                        flag = false
                    }
                    else {
                        $('#dmsorderno').parent().parent().removeClass('has-error')
                        $('#error_1_dmsorderno').remove();
                    }return flag;
                }
            </script>
        </div>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        var order = '';
        $(document).ready(function() {

            $('body').addClass('sidebar-collapse');
            $('ul.sidebar-menu').css('display', 'none');
            $('.content-header').first().remove();

            var parts = window.location.href.split("/");
            order = parts[parts.length-1];

            $(document).on('click', '.glyphicon', function() {
                $("#ddlWarehouse").attr('disabled', false);
                $("#ddlManager").attr('disabled', false);
                $("#tdAction").html('<button id="btnSubmit" class="btn btn-default">Save</button>');
            });

            $(document).on('change', '#ddlWarehouse', function() {
                $.ajax({
                    type:'get',
                    url:'/user/get_warehouse_manager?warehouse='+$(this).val(),
                    success: function(res) {
                        var optionlist = "";
                        if(res["data"].length > 0) {
                            $("#btnSubmit").attr('disabled', false);
                            $.each(res["data"], function(index, value) {
                                optionlist += "<option value='" + value['id'] + "'>" + value['name'] + "</option>";
                            });
                        }
                        else {
                            $("#btnSubmit").attr('disabled', true);
                            toastr.info('User not available in Warehouse!');
                            optionlist += "<option value=''>-----</option>";
                        }
                        $('#ddlManager').html(optionlist);
                    }
                });
            });
           
           
            $(document).on('click', '#btnSubmit', function() {
                $(this).attr('disabled', true);

                var wareHouse = $("#ddlWarehouse").val();
                var userID = $("#ddlManager").val();
                $.ajax({
                    type:'get',
                    url:'/user/assign_warehouse?order='+order+'&warehouse='+wareHouse+'&user='+userID,
                    success: function(res) {
                        if(res["message"] == "success") {
                            toastr.success('Warehouse successfully Assigned!');
                            $("#ddlWarehouse").attr('disabled', true);
                            $("#ddlManager").attr('disabled', true);
                            $('#tdAction').html('Assigned &nbsp;<span class="glyphicon glyphicon-edit" style="cursor: pointer"></span>');
                            // window.location.reload();
                            location.reload(true);
                        }
                        else if(res["message"] == "error") {
                            $("#btnSubmit").attr('disabled', false);
                            toastr.error("Oops something went wrong, please try again.");
                        }
                        else {
                            $("#btnSubmit").attr('disabled', false);
                            toastr.info(res["message"]);
                        }
                    }
                });
            });

            $("a.profile-new").click(function() {
                if($(this).attr('aria-expanded')=='true'){
                    $(this).parent('li').removeClass('open')
                }
                else {
                    $(this).parent('li').addClass('open')
                }
            });
        });
    </script>
{% endblock %}
